<?php
class Example_Controller_Plugin_Param extends Zend_Controller_Plugin_Abstract 
{
	protected $_param;

	private $_userID;
	
	public function routeShutdown(Zend_Controller_Request_Abstract $request) 
	{
		/*
		 * we start session here 
		 * so we do not need to start it in each action, controller or module 
		 */
		Zend_Session::start();
		
		/*
		 * we create session with namespace 'login'
		 */
    	$namespace = new Zend_Session_Namespace('login'); 
		
    	/*
    	 * 
    	 */
    	$this->_userID = $namespace->user; 
			
			/*
			 * create some simple logic, just to see application behaviour
			 */
    		
    		if (!isset($this->_userID) or $this->_request->getParam("user") != null) {
				$this->_userID = $this->_request->getParam("user", null);
				
				if ($this->_userID == null) {
					throw new Exception("user id not found");	
				}
				
				$namespace->user = $this->_userID;
			}
		
		/* 
		 * Just for example we also create new custom request parameter 
		 *  with name and value, cannot set this in helper
		 *  
		 */
		$this->_param = $this->_request->setParam('param', 'custom');
		
		Zend_Registry::set('Zend_Request_Example', $this->_param->param);
	
	}

}